#!/bin/sh
# Analizamos el archivo ~/.gnome2/session-manual para ver si ya tenemos añadido el script de inicio del applet.
# Si no está añadido, pues se añade :)
# USO: add-session-manual EJECUTABLE HOME_USUARIO

logger -i -t add-session-manual.sh "Añadiendo $1 a $2"

TMP=$(mktemp)
SCRIPT=$1
DIR=$2

SESSION_FILE=$DIR/.gnome2/session-manual
ls -las $SESSION_FILE > /tmp/log_sesion_file

# El archivo existe, y tiene contenido.
if [ -s $SESSION_FILE ]
then
        logger -i -t add-session-manual.sh "La configuracion session-manual existe y tiene contenido..."
        if [ -z "$(grep $SCRIPT $SESSION_FILE)" ]
        then
                # No está el script, se edita
                logger -i -t add-session-manual.sh "El ejecutable no esta, se añade"
                NUM=$(grep "num_clients" $SESSION_FILE | cut -f2 -d'=')
                [ $NUM != "" ] || NUM=0
                let NUM=NUM+1
                NUM_P=$((NUM-1))
                cat $SESSION_FILE >> $TMP
cat << EOF >> $TMP
$NUM_P,RestartStyleHint=3
$NUM_P,Priority=50
$NUM_P,RestartCommand=$SCRIPT
$NUM_P,Program=$SCRIPT
EOF
                mv -f $TMP $SESSION_FILE
                sed -i -e "s/num_clients=.*/num_clients=$NUM/" $SESSION_FILE
                chown $USER $SESSION_FILE
                rm -f $TMP
        fi
else
        # El fichero no existe, se crea uno nuevo:
        logger -i -t add-session-manual.sh "No existe el fichero session-manual, se crea y rellena"
        if [ ! -d $DIR/.gnome2 ]
        then
                mkdir $DIR/.gnome2
                chown $USER $DIR/.gnome2
        fi

cat << EOF >> $SESSION_FILE

[default]
num_clients=1
0,RestartStyleHint=3
0,Priority=50
0,RestartCommand=$SCRIPT
0,Program=$SCRIPT
EOF
fi

logger -i -t add-session-manual.sh "Fin del script"

